Bug 913627 - [abrt] mate-file-manager-1.5.2-1.fc18: standard_free: Process /usr/bin/caja was killed by signal 6 (SIGABRT)
Summary: [abrt] mate-file-manager-1.5.2-1.fc18: standard_free: Process /usr/bin/caja w...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mate-file-manager
Version: 18
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dan Mashal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:68553cadede1d705ac52cd47e1f...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-02-21 16:27 UTC by timmyfartpants
Modified: 2013-03-12 08:22 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-03-12 08:22:48 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (36.88 KB, text/plain)
2013-02-21 16:27 UTC, timmyfartpants
no flags Details
File: build_ids (3.88 KB, text/plain)
2013-02-21 16:27 UTC, timmyfartpants
no flags Details
File: cgroup (127 bytes, text/plain)
2013-02-21 16:27 UTC, timmyfartpants
no flags Details
File: dso_list (9.09 KB, text/plain)
2013-02-21 16:27 UTC, timmyfartpants
no flags Details
File: environ (1.40 KB, text/plain)
2013-02-21 16:27 UTC, timmyfartpants
no flags Details
File: limits (1.29 KB, text/plain)
2013-02-21 16:27 UTC, timmyfartpants
no flags Details
File: maps (32.71 KB, text/plain)
2013-02-21 16:27 UTC, timmyfartpants
no flags Details
File: open_fds (2.18 KB, text/plain)
2013-02-21 16:27 UTC, timmyfartpants
no flags Details
File: proc_pid_status (780 bytes, text/plain)
2013-02-21 16:27 UTC, timmyfartpants
no flags Details
File: var_log_messages (2.20 KB, text/plain)
2013-02-21 16:27 UTC, timmyfartpants
no flags Details

Description timmyfartpants 2013-02-21 16:27:14 UTC
Description of problem:
I was browsing a USB drive in Caja, then Caja crashed, appearantly for no reason whatsoever.

Version-Release number of selected component:
mate-file-manager-1.5.2-1.fc18

Additional info:
backtrace_rating: 4
cmdline:        caja
core_backtrace: 
crash_function: standard_free
executable:     /usr/bin/caja
kernel:         3.7.8-202.fc18.i686
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #5 standard_free at gmem.c:98
 #7 g_hash_table_remove_all_nodes at ghash.c:536
 #8 g_hash_table_remove_all at ghash.c:1345
 #9 g_hash_table_destroy at ghash.c:1049
 #10 real_destroy at fm-properties-window.c:5582
 #17 gtk_object_dispose at gtkobject.c:421
 #18 gtk_widget_dispose at gtkwidget.c:8800
 #19 gtk_window_dispose at gtkwindow.c:2192
 #21 gtk_object_destroy at gtkobject.c:406
 #22 gtk_widget_destroy at gtkwidget.c:3189

Comment 1 timmyfartpants 2013-02-21 16:27:17 UTC
Created attachment 700646 [details]
File: backtrace

Comment 2 timmyfartpants 2013-02-21 16:27:18 UTC
Created attachment 700647 [details]
File: build_ids

Comment 3 timmyfartpants 2013-02-21 16:27:20 UTC
Created attachment 700648 [details]
File: cgroup

Comment 4 timmyfartpants 2013-02-21 16:27:22 UTC
Created attachment 700649 [details]
File: dso_list

Comment 5 timmyfartpants 2013-02-21 16:27:25 UTC
Created attachment 700650 [details]
File: environ

Comment 6 timmyfartpants 2013-02-21 16:27:27 UTC
Created attachment 700651 [details]
File: limits

Comment 7 timmyfartpants 2013-02-21 16:27:29 UTC
Created attachment 700652 [details]
File: maps

Comment 8 timmyfartpants 2013-02-21 16:27:31 UTC
Created attachment 700653 [details]
File: open_fds

Comment 9 timmyfartpants 2013-02-21 16:27:34 UTC
Created attachment 700654 [details]
File: proc_pid_status

Comment 10 timmyfartpants 2013-02-21 16:27:36 UTC
Created attachment 700655 [details]
File: var_log_messages

Comment 11 Fedora Update System 2013-03-03 22:55:50 UTC
mate-file-manager-1.5.4-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mate-file-manager-1.5.4-1.fc18

Comment 12 Fedora Update System 2013-03-04 22:31:37 UTC
Package mate-file-manager-1.5.4-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mate-file-manager-1.5.4-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-3389/mate-file-manager-1.5.4-1.fc18
then log in and leave karma (feedback).

Comment 13 Fedora Update System 2013-03-12 08:22:49 UTC
mate-file-manager-1.5.4-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.